Product Cost Price in BOM(MRP)

by
Odoo          
v 11.0 Third Party 7

10.00 €

You bought this module and need support ? Click here !
Technical name cp_bom_rm
LicenseLGPL-3
Read description for v 10.0
Required Apps Manufacturing (mrp)
Inventory Management (stock)
Technical name cp_bom_rm
LicenseLGPL-3
Read description for v 10.0
Required Apps Manufacturing (mrp)
Inventory Management (stock)

Show Cost Price and Compute total product cost from BOM

Added Cost Price of Product in BOM and in BOM Components. Calculated Total cost of Bom lines (Cost Price * Product Quantity). It allows you to calculate BOM of a product,show calculated total BOM cost in BOM form and product form.

Cost Price, Subtotal and Total in BOM

BOM Cost in Product Form

Need Any Help? Feel Free To Contact us.

Please log in to comment on this module

Odoo
by on

When , click any BOM variant, i see the BOM total prices and functions well. But when i click any BOM set, i get the following error as preventing any BOM information; Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/fields.py", line 937, in __get__ value = record.env.cache.get(record, self) File "/usr/lib/python3/dist-packages/odoo/api.py", line 960, in get value = self._data[field][record.id][key] KeyError: (, 1) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/fields.py", line 937, in __get__ value = record.env.cache.get(record, self) File "/usr/lib/python3/dist-packages/odoo/api.py", line 960, in get value = self._data[field][record.id][key] KeyError: During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 650, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 692, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 342, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 335, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 936, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 934, in call_kw return self._call_kw(model, method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 926, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 689, in call_kw return call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 680, in call_kw_multi result = method(recs, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/models.py", line 2601, in read values[name] = field.convert_to_read(record[name], record, use_name_get) File "/usr/lib/python3/dist-packages/odoo/models.py", line 4758, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 941, in __get__ self.determine_value(record) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1052, in determine_value self.compute_value(recs) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1008, in compute_value self._compute_value(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1001, in _compute_value self.compute(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 589, in _compute_related record[self.name] = value[self.related_field.name] File "/usr/lib/python3/dist-packages/odoo/models.py", line 4758, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 941, in __get__ self.determine_value(record) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1052, in determine_value self.compute_value(recs) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1008, in compute_value self._compute_value(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 999, in _compute_value getattr(records, self.compute)() File "/usr/lib/python3/dist-packages/odoo/addons/cp_bom_rm/models/cp_bom.py", line 26, in compute_total for line in self.bom_line_ids: File "/usr/lib/python3/dist-packages/odoo/fields.py", line 935, in __get__ record.ensure_one() File "/usr/lib/python3/dist-packages/odoo/models.py", line 4366, in ensure_one raise ValueError("Expected singleton: %s" % self) ValueError: Expected singleton: mrp.bom(156, 139, 140, 141, 142, 143, 152, 153, 154, 155)


Odoo
Odoo Server Error
by on

Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/fields.py", line 937, in __get__ value = record.env.cache.get(record, self) File "/usr/lib/python3/dist-packages/odoo/api.py", line 960, in get value = self._data[field][record.id][key] KeyError: (, 1) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/fields.py", line 937, in __get__ value = record.env.cache.get(record, self) File "/usr/lib/python3/dist-packages/odoo/api.py", line 960, in get value = self._data[field][record.id][key] KeyError: During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 650, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 692, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 342, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 335, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 936, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 934, in call_kw return self._call_kw(model, method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 926, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 689, in call_kw return call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 680, in call_kw_multi result = method(recs, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/models.py", line 2601, in read values[name] = field.convert_to_read(record[name], record, use_name_get) File "/usr/lib/python3/dist-packages/odoo/models.py", line 4758, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 941, in __get__ self.determine_value(record) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1052, in determine_value self.compute_value(recs) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1008, in compute_value self._compute_value(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1001, in _compute_value self.compute(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 589, in _compute_related record[self.name] = value[self.related_field.name] File "/usr/lib/python3/dist-packages/odoo/models.py", line 4758, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 941, in __get__ self.determine_value(record) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1052, in determine_value self.compute_value(recs) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1008, in compute_value self._compute_value(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 999, in _compute_value getattr(records, self.compute)() File "/usr/lib/python3/dist-packages/odoo/addons/cp_bom_rm/models/cp_bom.py", line 26, in compute_total for line in self.bom_line_ids: File "/usr/lib/python3/dist-packages/odoo/fields.py", line 935, in __get__ record.ensure_one() File "/usr/lib/python3/dist-packages/odoo/models.py", line 4366, in ensure_one raise ValueError("Expected singleton: %s" % self) ValueError: Expected singleton: mrp.bom(142, 139, 140, 141, 143, 152, 153, 154, 155, 156)


Odoo
odoo11
by on

It does not work!